/***************************************************************************
                          logviewimpl.h  -  description
                             -------------------
    begin                : Mon Dec 4 2000
    copyright            : (C) 2000 by Olaf Lueg
    email                : olaf.lueg@t-online.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef LOGVIEWIMPL_H
#define LOGVIEWIMPL_H

#include <qwidget.h>
#include <qstringlist.h>
#include <logview.h>

/**
  *@author Olaf Lueg
  */

class LogViewImpl : public LogView  {
   Q_OBJECT
public: 
	LogViewImpl(QWidget *parent=0, const char *name=0);
	~LogViewImpl();
  /** items for the architecture combo box */
  QStringList* archList;
  /**  */
  void insertData(QString strData);
  /**  */
  void resizeEvent(QResizeEvent *ev);
public slots: // Public slots
  void slotStopRPM();
  /**  */
  void slotRunRPM();
  /**  */
  void slotCreateSpec();
signals: // Signals
  /**  */
  void createSpec();
  /**  */
  void stopRPM();
  /**  */
  void runRPM();
};

#endif
